<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

if ($_GET['annoinformedesde']=="0" || !isset($_SESSION['fechainformedesde'])) {
	$_SESSION['fechainformedesde']='2015-01-01';
} else {
	if ($_GET['annoinformedesde']<>""){
		$_SESSION['fechainformedesde']=$_GET['annoinformedesde'].'-'.$_GET['mesinformedesde'].'-'.$_GET['diainformedesde'];
	}
}
if ($_GET['annoinformehasta']=="0" || !isset($_SESSION['fechainformehasta'])) {
	$_SESSION['fechainformehasta']=date('Y-m-d');
} else {
	if ($_GET['annoinformehasta']<>""){
		$_SESSION['fechainformehasta']=$_GET['annoinformehasta'].'-'.$_GET['mesinformehasta'].'-'.$_GET['diainformehasta'];
	}
}
$annoinformedesde=substr($_SESSION['fechainformedesde'],0,4);
$mesinformedesde=substr($_SESSION['fechainformedesde'],5,2);
$diainformedesde=substr($_SESSION['fechainformedesde'],8,2);
$fechainformedesde=$annoinformedesde.'-'.$mesinformedesde.'-'.$diainformedesde;
$annoinformehasta=substr($_SESSION['fechainformehasta'],0,4);
$mesinformehasta=substr($_SESSION['fechainformehasta'],5,2);
$diainformehasta=substr($_SESSION['fechainformehasta'],8,2);
$fechainformehasta=$annoinformehasta.'-'.$mesinformehasta.'-'.$diainformehasta;


$filtro='';
if ($_GET['filtroproveedor']=="0") {
	$_SESSION['filtroproveedor']="";
} else {
	if ($_GET['filtroproveedor']<>""){
		$_SESSION['filtroproveedor']=$_GET['filtroproveedor'];
		$filtro=' AND Idproveedor="'.$_SESSION['filtroproveedor'].'" ';
	} else {
		if ($_SESSION['filtroproveedor']<>""){$filtro=' AND Idproveedor="'.$_SESSION['filtroproveedor'].'" ';}
	}		
}

if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idcompra']) AND ($_GET['Idcompra']<>'')) {
	if (isset($_GET['name']) AND ($_GET['name']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		$updt=$mysqli->query('UPDATE compras SET '.$_GET['name'].'="'.$_GET['value'].'" WHERE Idcompra="'.$_GET['Idcompra'].'"');
		$informacion='Dato del insumo '.$_GET['codigo'].' ha sido actualizado';
	}
}
if (isset($_GET['a']) AND ($_GET['a']=='a') AND isset($_GET['Idcompra']) AND ($_GET['Idcompra']<>'') AND ($admin)) {
	$updt=$mysqli->query('UPDATE compras SET nula="si" WHERE Idcompra="'.$_GET['Idcompra'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido anulada';
}
if (isset($_GET['r']) AND ($_GET['r']=='r') AND isset($_GET['Idcompra']) AND ($_GET['Idcompra']<>'') AND ($admin)) {
	$updt=$mysqli->query('UPDATE compras SET nula="no" WHERE Idcompra="'.$_GET['Idcompra'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido anulada';
}
if (isset($_GET['e']) AND ($_GET['e']=='e') AND isset($_GET['Idcompra']) AND ($_GET['Idcompra']<>'') AND ($admin)) {
	$updt=$mysqli->query('DELETE FROM compras WHERE Idcompra="'.$_GET['Idcompra'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido eliminada';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
</script>
<body>
<div class="div_cubierto" id="cubierto" style=" <?php echo ($_GET['i']=='i')? 'display:block' : 'display:none'; ?> " ></div>
<div class="div_cargando" id="cargando"></div>

<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="div_caja_titulo">
	<span class="bold">Informe de cuentas por pagar desde <?php echo afecha($fechainformedesde),' hasta '.afecha($fechainformehasta); ?></span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" /></a></span>    
</div>

<div class="centrar_tabla">
<form action="informe-cxp.php" method="get" name="filtrarproveedor">
<span class="tipsprint">Se muestran todas las compras impagas de <select name="filtroproveedor" onchange="cargando(); submit();"><option value="0">Todos los proveedores</option><?php echo optionproveedores($mysqli,$_SESSION['filtroproveedor']); ?></select> desde <input type="text" name="diainformedesde" value="<?php echo $diainformedesde; ?>" class="superangosto"> / <input type="text" name="mesinformedesde" value="<?php echo $mesinformedesde; ?>" class="superangosto"> / <input type="text" name="annoinformedesde" value="<?php echo $annoinformedesde; ?>" class="angosto"> hasta  <input type="text" name="diainformehasta" value="<?php echo $diainformehasta; ?>" class="superangosto"> / <input type="text" name="mesinformehasta" value="<?php echo $mesinformehasta; ?>" class="superangosto"> / <input type="text" name="annoinformehasta" value="<?php echo $annoinformehasta; ?>" class="angosto"> <a href="#" onclick="cargando(); forms.filtrarproveedor.submit();"><img src="iconos/buscar16.png" /></a></span>
</form>
	<table>
    <thead>
	   	<tr>
        	<th>Fecha</th>
            <th>Tipo documento</th>
            <th>Nro documento</th>
            <th>Proveedor</th>
            <th>Total</th>
            <th>$ Guia</th>
        </tr>
     </thead>
     <tbody>
<?php
$entradas=$mysqli->query('SELECT * FROM compras WHERE tipodoc!="stock inicial" AND nula="no" AND pagada="no" '.$filtro.' AND fecha BETWEEN "'.$fechainformedesde.'" AND "'.$fechainformehasta.'" ORDER BY fecha ASC');
$row=$entradas->fetch_array();
if ($entradas->num_rows==0) {
?>
	<tr><td colspan="10">No existen compras</td></tr>
<?php
} else { 
do {
	$Idcompra=$row['Idcompra'];
	$estacompra=new compra($mysqli,$Idcompra);
	$esteproveedor=new proveedor($mysqli,$estacompra->Idproveedor);
?>
        <tr style="border-top:1px solid #999; <?php echo ($row['nula']=="si")? 'color:#999;':''; ?>">
        	<td><?php echo afecha($estacompra->fecha); ?></td>
            <td><?php echo $estacompra->tipodoc; ?></td>
            <td><?php echo $estacompra->ndoc; ?></td>
            <td><?php echo $esteproveedor->rut.' / '.$esteproveedor->razon; ?></td>
            <td><?php echo ($row['nula']=="si")? 'nula' :'$ '.apesos($estacompra->totalcompra()); ?></td>
            <td><?php echo ($row['nula']=="si")? 'nula' :'$ '.apesos($estacompra->totalguia()); ?></td>
        </tr>
<?php
} while ($row=$entradas->fetch_array());
}
if ($entradas) {
    $entradas->free();
}
?>
	</tbody>
    </table>
    
</div>
</body>
</html>